package de.ozgcloud.apilib.alfa;

import java.time.ZonedDateTime;
import java.util.Map;

import de.ozgcloud.apilib.common.command.OzgCloudCommand;
import de.ozgcloud.apilib.common.command.OzgCloudCommandService;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class CommandAlfaService implements AlfaService {

	private final OzgCloudCommandService commandService;

	@Override
	public void addAktenNotiz(OzgCloudVorgangId vorgangId, String text) {
		var command = createCreateItemCommand(vorgangId, text);

		commandService.createAndWaitUntilDone(command);
	}

	OzgCloudCommand createCreateItemCommand(OzgCloudVorgangId vorgangId, String text) {
		Map<String, Object> item = Map.of("text", text,
				"createdAt", ZonedDateTime.now().toString());
		Map<String, Object> commandBody = Map.of("item", item,
				"vorgangId", vorgangId.toString(),
				"itemName", "Kommentar",
				"client", "Alfa");

		return OzgCloudCommand.builder()
				.order("CREATE_ATTACHED_ITEM")
				.vorgangId(vorgangId)
				.relationId(vorgangId)
				.bodyObject(commandBody)
				.build();
	}
}
