package de.ozgcloud.apilib.common.command.grpc;

import static de.ozgcloud.apilib.common.command.grpc.OzgCloudCommandTestFactory.*;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.grpc.command.GrpcCreateCommandRequest;

public class GrpcCreateCommandRequestTestFactory {

	public static GrpcCreateCommandRequest create() {
		return createBuilder().build();
	}

	public static GrpcCreateCommandRequest.Builder createBuilder() {
		return GrpcCreateCommandRequest.newBuilder()
				.setVorgangId(OzgCloudVorgangTestFactory.ID.toString())
				.setRelationId(RELATION_ID.toString())
				.setRelationVersion(RELATION_VERSION)
				.setOrderString(ORDER)
				.setBodyObj(GrpcObject.newBuilder().addProperty(
						GrpcProperty.newBuilder().setName(BODY_FIELD_NAME).addValue(BODY_FIELD_VALUE.toString()).build()));
	}
}
