package de.ozgcloud.apilib.file;

import de.ozgcloud.apilib.file.OzgCloudUploadFile.OzgCloudUploadFileBuilder;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;

public class OzgCloudUploadFileTestFactory {

	public static final String FILE_NAME = "test.txt";
	public static final String CONTENT_TYPE = "text/plain";
	public static final String FIELD_NAME = "field";

	public static OzgCloudUploadFile create() {
		return createBuilder().build();
	}

	private static OzgCloudUploadFileBuilder createBuilder() {
		return OzgCloudUploadFile.builder()
			.fileName(FILE_NAME)
			.contentType(CONTENT_TYPE)
			.vorgangId(OzgCloudVorgangTestFactory.ID.toString())
			.fieldName(FIELD_NAME);
	}

}
