package de.ozgcloud.client.autoconfigure;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;
import net.devh.boot.grpc.client.config.NegotiationType;

@Getter
@Setter
@Configuration
@ConfigurationProperties("ozgcloud.vorgang-manager")
public class OzgCloudVorgangManagerProperties {
	/**
	 * Network-Address of the Vorgang-Manager instance, starting with resolving
	 * protocoll. Example for local use: static://127.0.0.1:9090
	 */
	private String address;
	/**
	 * Negotiation Type for the gRPC connection - possible Values: PLAINTEXT, TLS
	 */
	private NegotiationType negotiationType = NegotiationType.valueOf("TLS");
}
